import React from "react"

import { Content, Link, Hero } from "@onegeo/gatsby-theme-onegeo"

function hero() {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Hero</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface Service {
    name: string
    description: string
    image: string
    url: string
}
interface Action {
    name: string
    url: string
}
interface Bg {
    src: string
}
interface Props {
    title?: string
    subtitle?: string
    content?: string
    action?: Action
    services?: Array<Service>
    bgImage?: Array<Bg>
    size?: "xs" | "base" | "xl"
}
`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <h2>xs size :</h2>
            <Hero size="xs" />
            <h2>base size :</h2>
            <Hero size="base" />
            <br />
            <h2>xl size :</h2>
            <Hero size="xl" />
            <br />
        </Content>
    )
}

export default hero
